import * as bingo_stratum from 'bingo-stratum';
import { z } from 'zod';

declare const zActionStep: z.ZodIntersection<z.ZodObject<{
    env: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    if: z.ZodOptional<z.ZodString>;
    with: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    with?: Record<string, string> | undefined;
    env?: Record<string, string> | undefined;
    if?: string | undefined;
}, {
    with?: Record<string, string> | undefined;
    env?: Record<string, string> | undefined;
    if?: string | undefined;
}>, z.ZodUnion<[z.ZodObject<{
    run: z.ZodString;
}, "strip", z.ZodTypeAny, {
    run: string;
}, {
    run: string;
}>, z.ZodObject<{
    uses: z.ZodString;
}, "strip", z.ZodTypeAny, {
    uses: string;
}, {
    uses: string;
}>]>>;
declare const blockGitHubActionsCI: bingo_stratum.BlockWithAddons<{
    jobs?: {
        name: string;
        steps: ({
            with?: Record<string, string> | undefined;
            env?: Record<string, string> | undefined;
            if?: string | undefined;
        } & ({
            run: string;
        } | {
            uses: string;
        }))[];
        if?: string | undefined;
        checkoutWith?: Record<string, string> | undefined;
    }[] | undefined;
}, {
    access: "public" | "restricted";
    description: string;
    directory: string;
    documentation: {
        readme: {
            usage: string;
            additional?: string | undefined;
            explainer?: string | undefined;
            footnotes?: string | undefined;
        };
        development?: string | undefined;
    };
    email: {
        github: string;
        npm: string;
    };
    title: string;
    node: {
        minimum: string;
        pinned?: string | undefined;
    };
    owner: string;
    repository: string;
    type?: "commonjs" | "module" | undefined;
    author?: string | undefined;
    bin?: string | Record<string, string> | undefined;
    contributors?: {
        avatar_url: string;
        contributions: string[];
        login: string;
        name: string;
        profile: string;
    }[] | undefined;
    emoji?: string | undefined;
    existingLabels?: {
        name: string;
        description: string;
        color: string;
    }[] | undefined;
    funding?: string | undefined;
    guide?: {
        href: string;
        title: string;
    } | undefined;
    keywords?: string[] | undefined;
    logo?: {
        alt: string;
        src: string;
        height?: number | undefined;
        width?: number | undefined;
    } | undefined;
    packageData?: {
        dependencies?: Record<string, string> | undefined;
        devDependencies?: Record<string, string> | undefined;
        peerDependencies?: Record<string, string> | undefined;
        peerDependenciesMeta?: Record<string, unknown> | undefined;
        scripts?: Record<string, string | undefined> | undefined;
    } | undefined;
    pnpm?: string | undefined;
    rulesetId?: string | undefined;
    version?: string | undefined;
    words?: string[] | undefined;
    workflowsVersions?: Record<string, Record<string, {
        pinned?: boolean | undefined;
        hash?: string | undefined;
    }>> | undefined;
}>;

export { blockGitHubActionsCI, zActionStep };
