import * as bingo_stratum from 'bingo-stratum';

declare const blockTypeScript: bingo_stratum.BlockWithAddons<{
    compilerOptions?: {
        allowArbitraryExtensions?: boolean | undefined;
        allowImportingTsExtensions?: boolean | undefined;
        allowJs?: boolean | undefined;
        allowSyntheticDefaultImports?: boolean | undefined;
        allowUmdGlobalAccess?: boolean | undefined;
        allowUnreachableCode?: boolean | undefined;
        allowUnusedLabels?: boolean | undefined;
        alwaysStrict?: boolean | undefined;
        baseUrl?: string | undefined;
        charset?: string | undefined;
        checkJs?: boolean | undefined;
        customConditions?: string[] | undefined;
        declaration?: boolean | undefined;
        declarationDir?: string | undefined;
        declarationMap?: boolean | undefined;
        disableReferencedProjectLoad?: boolean | undefined;
        disableSizeLimit?: boolean | undefined;
        disableSolutionSearching?: boolean | undefined;
        disableSourceOfProjectReferenceRedirect?: boolean | undefined;
        downlevelIteration?: boolean | undefined;
        emitBOM?: boolean | undefined;
        emitDeclarationOnly?: boolean | undefined;
        emitDecoratorMetadata?: boolean | undefined;
        erasableSyntaxOnly?: boolean | undefined;
        esModuleInterop?: boolean | undefined;
        exactOptionalPropertyTypes?: boolean | undefined;
        experimentalDecorators?: boolean | undefined;
        forceConsistentCasingInFileNames?: boolean | undefined;
        ignoreDeprecations?: string | undefined;
        importHelpers?: boolean | undefined;
        importsNotUsedAsValues?: "error" | "preserve" | "remove" | undefined;
        inlineSourceMap?: boolean | undefined;
        inlineSources?: boolean | undefined;
        isolatedDeclarations?: boolean | undefined;
        isolatedModules?: boolean | undefined;
        jsx?: "preserve" | "none" | "react" | "react-jsx" | "react-jsxdev" | "react-native" | undefined;
        keyofStringsOnly?: boolean | undefined;
        lib?: string[] | undefined;
        libReplacement?: boolean | undefined;
        locale?: string | undefined;
        mapRoot?: string | undefined;
        maxNodeModuleJsDepth?: number | undefined;
        module?: "preserve" | "none" | "amd" | "AMD" | "commonjs" | "CommonJS" | "es2015" | "ES2015" | "es2020" | "ES2020" | "es2022" | "ES2022" | "es6" | "ES6" | "esnext" | "ESNext" | "node16" | "Node16" | "node18" | "Node18" | "nodenext" | "NodeNext" | "None" | "Preserve" | "system" | "System" | "umd" | "UMD" | undefined;
        moduleDetection?: "auto" | "force" | "legacy" | undefined;
        moduleResolution?: "node16" | "Node16" | "nodenext" | "NodeNext" | "bundler" | "Bundler" | "classic" | "Classic" | "node" | "Node" | "node10" | "Node10" | "NodeJs" | undefined;
        moduleSuffixes?: string[] | undefined;
        newLine?: "crlf" | "lf" | undefined;
        noCheck?: boolean | undefined;
        noEmit?: boolean | undefined;
        noEmitHelpers?: boolean | undefined;
        noEmitOnError?: boolean | undefined;
        noErrorTruncation?: boolean | undefined;
        noFallthroughCasesInSwitch?: boolean | undefined;
        noImplicitAny?: boolean | undefined;
        noImplicitReturns?: boolean | undefined;
        noImplicitThis?: boolean | undefined;
        noStrictGenericChecks?: boolean | undefined;
        noUnusedLocals?: boolean | undefined;
        noUnusedParameters?: boolean | undefined;
        assumeChangesOnlyAffectDirectDependencies?: boolean | undefined;
        noImplicitUseStrict?: boolean | undefined;
        noLib?: boolean | undefined;
        noPropertyAccessFromIndexSignature?: boolean | undefined;
        noResolve?: boolean | undefined;
        noUncheckedIndexedAccess?: boolean | undefined;
        noImplicitOverride?: boolean | undefined;
        out?: string | undefined;
        outDir?: string | undefined;
        outFile?: string | undefined;
        paths?: Record<string, string> | undefined;
        preserveConstEnums?: boolean | undefined;
        preserveSymlinks?: boolean | undefined;
        composite?: boolean | undefined;
        incremental?: boolean | undefined;
        jsxFactory?: string | undefined;
        jsxFragmentFactory?: string | undefined;
        jsxImportSource?: string | undefined;
        preserveValueImports?: boolean | undefined;
        project?: string | undefined;
        reactNamespace?: string | undefined;
        removeComments?: boolean | undefined;
        resolvePackageJsonExports?: boolean | undefined;
        resolvePackageJsonImports?: boolean | undefined;
        rewriteRelativeImportExtensions?: boolean | undefined;
        rootDir?: string | undefined;
        rootDirs?: string[] | undefined;
        skipDefaultLibCheck?: boolean | undefined;
        skipLibCheck?: boolean | undefined;
        sourceMap?: boolean | undefined;
        sourceRoot?: string | undefined;
        strict?: boolean | undefined;
        strictBindCallApply?: boolean | undefined;
        strictBuiltinIteratorReturn?: boolean | undefined;
        strictFunctionTypes?: boolean | undefined;
        strictNullChecks?: boolean | undefined;
        strictPropertyInitialization?: boolean | undefined;
        stripInternal?: boolean | undefined;
        tsBuildInfoFile?: string | undefined;
        suppressExcessPropertyErrors?: boolean | undefined;
        noUncheckedSideEffectImports?: boolean | undefined;
        resolveJsonModule?: boolean | undefined;
        suppressImplicitAnyIndexErrors?: boolean | undefined;
        target?: "es2015" | "ES2015" | "es2020" | "ES2020" | "es2022" | "ES2022" | "esnext" | "ESNext" | "es2016" | "ES2016" | "es2017" | "ES2017" | "es2018" | "ES2018" | "es2019" | "ES2019" | "es2021" | "ES2021" | "es2023" | "ES2023" | "es2024" | "ES2024" | "es3" | "ES3" | "es5" | "ES5" | "json" | "JSON" | "latest" | "Latest" | undefined;
        traceResolution?: boolean | undefined;
        typeRoots?: string[] | undefined;
        types?: string[] | undefined;
        useDefineForClassFields?: boolean | undefined;
        useUnknownInCatchVariables?: boolean | undefined;
        verbatimModuleSyntax?: boolean | undefined;
    } | undefined;
}, {
    access: "public" | "restricted";
    description: string;
    directory: string;
    documentation: {
        readme: {
            usage: string;
            additional?: string | undefined;
            explainer?: string | undefined;
            footnotes?: string | undefined;
        };
        development?: string | undefined;
    };
    email: {
        github: string;
        npm: string;
    };
    title: string;
    node: {
        minimum: string;
        pinned?: string | undefined;
    };
    owner: string;
    repository: string;
    type?: "commonjs" | "module" | undefined;
    author?: string | undefined;
    bin?: string | Record<string, string> | undefined;
    contributors?: {
        avatar_url: string;
        contributions: string[];
        login: string;
        name: string;
        profile: string;
    }[] | undefined;
    emoji?: string | undefined;
    existingLabels?: {
        name: string;
        description: string;
        color: string;
    }[] | undefined;
    funding?: string | undefined;
    guide?: {
        href: string;
        title: string;
    } | undefined;
    keywords?: string[] | undefined;
    logo?: {
        alt: string;
        src: string;
        height?: number | undefined;
        width?: number | undefined;
    } | undefined;
    packageData?: {
        dependencies?: Record<string, string> | undefined;
        devDependencies?: Record<string, string> | undefined;
        peerDependencies?: Record<string, string> | undefined;
        peerDependenciesMeta?: Record<string, unknown> | undefined;
        scripts?: Record<string, string | undefined> | undefined;
    } | undefined;
    pnpm?: string | undefined;
    rulesetId?: string | undefined;
    version?: string | undefined;
    words?: string[] | undefined;
    workflowsVersions?: Record<string, Record<string, {
        pinned?: boolean | undefined;
        hash?: string | undefined;
    }>> | undefined;
}>;

export { blockTypeScript };
