const startUsage = "## Usage";
function readUsageFromReadme(readme) {
  const indexOfUsage = readme.indexOf(startUsage);
  if (indexOfUsage === -1) {
    return void 0;
  }
  const offset = indexOfUsage + startUsage.length;
  const indexOfNextKnownHeading = readme.slice(offset).search(/## (?:Development|Contributing|Contributors)/);
  if (indexOfNextKnownHeading === -1) {
    return readme.slice(offset);
  }
  const usage = readme.slice(offset, indexOfNextKnownHeading + offset).trim();
  return usage ? usage : void 0;
}
export {
  readUsageFromReadme
};
